const response = await afriex.rates.getRates({
fromSymbols: "USD,NGN",
toSymbols: "NGN,USD,GBP,KES",
});
console.log(response.rates);
console.log(response.updatedAt); // Unix timestampcurl --request GET \
--url https://sandbox.api.afriex.com/api/v1/org/rates \
--header 'x-api-key: <api-key>'import requests
url = "https://sandbox.api.afriex.com/api/v1/org/rates"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://sandbox.api.afriex.com/api/v1/org/rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rates": {
"USD": {
"USD": "1",
"EUR": "0.80832",
"GBP": "0.69255",
"CAD": "1.30272",
"NGN": "1410.1041",
"KES": "125.0912",
"GHS": "10.96338",
"UGX": "3485.0742"
}
},
"updatedAt": 1775632339823
}
}Get Exchange Rates
Retrieves real-time exchange rates.
const response = await afriex.rates.getRates({
fromSymbols: "USD,NGN",
toSymbols: "NGN,USD,GBP,KES",
});
console.log(response.rates);
console.log(response.updatedAt); // Unix timestampfromSymbols and toSymbols query parameters to filter results to specific currency pairs.Authorizations
Static business API key issued from the dashboard. A business can provision multiple API keys, each scoped to a configurable set of permissions (e.g. read transactions, create deposits, etc). Permissions are chosen per key at creation time in the dashboard and may be revoked by deleting the key. Requests made with a key that does not include the permission required by the target endpoint is rejected with a 401 Unauthorized response, the same response an unrecognised, malformed or revoked key returns. The API does not distinguish the two cases on the wire. Manage your keys and their permissions under Developer → API keys in the dashboard.
Headers
API version in ISO 8601 format. The only supported version is 2026-05-18, which is also the default when the header is omitted. Any other value is rejected with a 400 Bad Request.
Query Parameters
Comma-separated list of base currency symbols to filter rates by (e.g., USD,NGN,EUR). If omitted, defaults to USD only.
"USD,NGN,EUR"
Comma-separated list of target currency symbols to filter rates by (e.g., NGN,EUR,GBP). If omitted, all target currencies are returned.
"NGN,EUR,GBP"
Response
Successful retrieval of rates
Show child attributes
Show child attributes
